Subject: Re: bug#61712: 30.0.50; Want way to generate VC log for arbitrary list of files

From: Juri Linkov <[email-masked]>
Date: Wed, 22 Feb 2023 21:07:39 +0200

> Yesterday I wanted to review changes to some documentation files in a
> repository; roughly, `git log -- dgit.1 *.pod`.  I would have preferred
> to have the result in a *vc-log* buffer, but I don't believe we have a
> command to do this.  'C-x v !' can't do it.
>
> If there were changes to each of the files, they would have appeared in
> *vc-dir*, and I could have used the new vc-dir-mark-by-regexp, and then
> vc-print-log would have done the right thing.
>
> So, I wonder if we could have a way to insert up-to-date files into
> *vc-dir*, so that they could be used to select an arbitrary VC fileset?

It's easy to do this in the Dired buffer by marking the required files.
I'm doing this all the time since Dired supports all vc commands.